'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.check = undefined;

var _maxValue = require('./maxValue');

var _maxValue2 = _interopRequireDefault(_maxValue);

var _minValue = require('./minValue');

var _minValue2 = _interopRequireDefault(_minValue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Checks if a number or Date is in specified bounds. Min and max are both inclusive
var name = 'between';

var check = exports.check = function check(min, max) {
  return function (value) {
    return (0, _minValue2.default)(min).check(value) && (0, _maxValue2.default)(max).check(value);
  };
};

exports.default = function (min, max) {
  return {
    check: check(min, max),
    params: { name: name, min: min, max: max }
  };
};