'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.check = undefined;

var _common = require('./common');

var name = 'ipv4Address';

var check = exports.check = function check(value) {
  if ((0, _common.req)(value) && typeof value === 'string') {
    var nibbles = value.split('.');
    return nibbles.length === 4 && nibbles.every(nibbleValid);
  }
  return false;
};

var nibbleValid = function nibbleValid(nibble) {
  if (nibble.length > 3 || nibble.length === 0) {
    return false;
  }

  if (nibble[0] === '0' && nibble !== '0') {
    return false;
  }

  if (!nibble.match(/^\d+$/)) {
    return false;
  }

  var numeric = +nibble | 0;
  return numeric >= 0 && numeric <= 255;
};

exports.default = {
  check: check,
  params: { name: name }
};