'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.check = undefined;

var _common = require('./common');

var name = 'macAddress';

var check = exports.check = function check() {
  var separator = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : ':';
  return function (value) {
    if ((0, _common.req)(value) && typeof value === 'string') {
      var parts = typeof separator === 'string' && separator !== '' ? value.split(separator) : value.length === 12 || value.length === 16 ? value.match(/.{2}/g) : null;

      return parts !== null && (parts.length === 6 || parts.length === 8) && parts.every(hexValid);
    }
    return false;
  };
};

var hexValid = function hexValid(hex) {
  return hex.toLowerCase().match(/^[0-9a-f]{2}$/);
};

exports.default = function () {
  var separator = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : ':';
  return {
    check: check(separator),
    params: { name: name, separator: separator }
  };
};